import { jsx } from "react/jsx-runtime";
import { TokenMIM as TokenMIM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMIM = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "MIM", "data-name": "TokenMIM", ...props, children: /* @__PURE__ */ jsx(TokenMIM$1, { variant }) });
  }
);
TokenMIM.displayName = "TokenMIM";
Object.assign(TokenMIM, { isGdsIcon: true });
export {
  TokenMIM
};
